View Issue Details

IDProjectCategoryView StatusLast Update
0004362SymmetricDSBugpublic2020-05-26 12:36
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.24 
Target Version3.8.44Fixed in Version3.8.44 
Summary0004362: SQL Server 2000 gets Invalid object name 'sys.triggers'.
DescriptionThe DDL replication feature is checking sys.triggers, which doesn't exist on SQL Server 2000. Move the check to SQL Server 2005, which is the version that supports DDL triggers.
Tagsdialect: sql-server

Relationships

related to 0003095 closedelong Add basic DDL replication 
related to 0004367 closedelong SQL Server 2000 gets Invalid object name 'sys.triggers'. 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 626d2109

2020-04-27 08:24:11

admin

Details Diff
0004362: SQL Server 2000 gets Invalid object name 'sys.triggers'
0004362
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2008SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

SymmetricDS: 3.9 b96275c7

2020-04-27 08:24:11

admin

Details Diff
0004362: SQL Server 2000 gets Invalid object name 'sys.triggers'
0004362
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2008SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

SymmetricDS: 3.10 d53b2672

2020-04-27 08:24:11

admin

Details Diff
0004362: SQL Server 2000 gets Invalid object name 'sys.triggers'
0004362
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2008SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

SymmetricDS: 3.11 afc39ae4

2020-04-27 08:24:11

admin

Details Diff
0004362: SQL Server 2000 gets Invalid object name 'sys.triggers'
0004362
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2008SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2020-04-23 12:55 elong New Issue
2020-04-23 12:55 elong Status new => assigned
2020-04-23 12:55 elong Assigned To => elong
2020-04-23 12:55 elong Tag Attached: dialect: sql-server
2020-04-23 12:55 elong Relationship added related to 0003095
2020-04-27 08:57 elong Status assigned => resolved
2020-04-27 08:57 elong Resolution open => fixed
2020-04-27 08:57 elong Fixed in Version => 3.8.44
2020-04-27 08:58 elong Issue cloned: 0004367
2020-04-27 08:58 elong Relationship added related to 0004367
2020-04-27 09:00 admin Changeset attached => SymmetricDS 3.8 626d2109
2020-04-27 09:00 admin Changeset attached => SymmetricDS 3.9 b96275c7
2020-04-27 09:00 admin Changeset attached => SymmetricDS 3.10 d53b2672
2020-04-27 09:00 admin Changeset attached => SymmetricDS 3.11 afc39ae4
2020-05-26 12:36 elong Status resolved => closed